# ezQuake Manual: Serverinfo Keys Variables

## deathmatch

### Description

Chooses between basic multiplayer gameplay modes; 1 = weapons disappear after picked up (used in 4on4), 3 = weapons stay after picked up (used in 1on1), 4 = arena mode (players have all weapons and full heathl/armor)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

## fraglimit

### Description

Amount of frags any player has to reach before the match is over

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

When set to 0, there won\'t be any limit

## maxclients

### Description

Highest number of players allowed on the server

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

## maxspectators

### Description

Highest number of spectators allowed to connect to the server

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

## samelevel

### Description

When enabled, the same level will be played once the match is over

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 |
0 |

## teamplay

### Description

Teamplay mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

Nowadays only value 2 is used; value 1 prevents you from killing your teammates including yourself

## timelimit

### Description

Number of minutes the match will take

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

## watervis

### Description

This server-side cvar is mirrored to serverinfo as a hint to clients on whether the server is using the so-called watervised maps.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | GLQuake users can see through liquids if they set gl_turbalpha to a value < 1.
0 | No watervis.

It's a bad idea to use watervis 1 if the maps the server is using are not watervised. Liquids will appear 'transparent' but you won't be able to see any items/players/etc through it. And it is a bad idea anyway because Quake maps were not designed for transparent water (or other liquids); enabling it changes gameplay, decreases fps and produces more network traffic and puts non-GL players at a disadvantage because the software renderer doesn't support transparent water (yet). Not saved to config with cfg_save command.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs